Package com.databend.jdbc.exception

## Class DatabendFailedToPingException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.databend.jdbc.exception.DatabendFailedToPingException

All Implemented Interfaces:
  `Serializable`

    public class DatabendFailedToPingException
    extends RuntimeException

See Also:
  Serialized Form

### Constructor Summary

Constructors
`` `DatabendFailedToPingException()`
`` `DatabendFailedToPingException​(String message)`
`` `DatabendFailedToPingException​(String message, Throwable cause)`
`protected` `DatabendFailedToPingException​(String message, Throwable cause, boolean enableSuppression, boolean writableStackTrace)`
`` `DatabendFailedToPingException​(Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DatabendFailedToPingException

    public DatabendFailedToPingException()

#### DatabendFailedToPingException

    public DatabendFailedToPingException​(String message)

#### DatabendFailedToPingException

    public DatabendFailedToPingException​(String message,
                                         Throwable cause)

#### DatabendFailedToPingException

    public DatabendFailedToPingException​(Throwable cause)

#### DatabendFailedToPingException

    protected DatabendFailedToPingException​(String message,
                                            Throwable cause,
                                            boolean enableSuppression,
                                            boolean writableStackTrace)